<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb        = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin      = $_SESSION["admin_" . $dbname];
$success    = false;

$file       = "rooms.php";

$keyfld     = "code";
$rangeFrom  = $_REQUEST["rangeFrom"];
$rangeTo    = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator   = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `category` = '$searchTerm'";
    }elseif ($_REQUEST["sfield"] == "2") {
        $cond = "AND `type` = '$searchTerm'";
    }elseif ($_REQUEST["sfield"] == "3") {
        $cond = "AND `view` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `category` LIKE '%$searchTerm%'";
    } elseif ($_REQUEST["sfield"] == "2") {
        $cond = "AND `type` LIKE '%$searchTerm%'";
    } elseif ($_REQUEST["sfield"] == "3") {
        $cond = "AND `view` LIKE '%$searchTerm%'";
    } 
}

$sortcond = "ORDER BY `code`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `category`";
} elseif ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `type`";
} elseif ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `view`";
}
    
 $ordcond = "DESC";
    if ($_REQUEST["orderAs"] == "desc") {
        $ordcond = " DESC";
    } else {
        $ordcond = " ASC";
    }


$query = "SELECT * FROM `rooms` WHERE code != '' $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [ 'success'   => true,
                'value'     => $ctr,
                'keyfld'    => $keyfld,
                'category'      => $r['category'],
                'type'      => $r['type'],
                'view'      => $r['view'],
                'action'    => "$file?mode=edit&code=$r[code]",
        ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
